petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSwarmSetType

Set particular flavor of DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmSetType(DM dm,DMSwarmType stype)

Collective on dm

### Input parameters

| dm | - the DMSwarm
| stype | - the DMSwarm type (e.g. DMSWARM_PIC)

### See Also

DMSwarmSetMigrateType(), DMSwarmSetCollectType()

### Level

advanced

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages